.description {
    margin: 60px auto;

    @media (max-width: $tablet-max) {
        margin: 60px auto 0;
    }

    @media (max-width: $mobile-max) {
        margin: 32px auto 0;
    }

    &__title {
        font-weight: 500;
        font-size: 48px;
        line-height: 48px;
        text-align: center;
        margin-bottom: 40px;

        @media (max-width: $desktop-max) {
            font-size: 40px;
            line-height: 40px;
            margin-bottom: 32px;
        }

        @media (max-width: $mobile-max) {
            font-size: 32px;
            line-height: 32px;
            margin-bottom: 24px;
        }

        &-crown {
            display: none;
            width: 40px;
            height: 26px;
            margin: 0 auto 8px;
            fill: $new-blue;

            svg {
                width: 100%;
                height: 100%;
            }

            @media (max-width: $mobile-max) {
                display: block;
            }
        }
    }

    &__header {
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 20px;
        background-color: $lite-gray;
        padding: 4px;
        width: fit-content;
        margin: 0 auto 40px;

        @media (max-width: $desktop-max) {
            margin: 0 auto 32px;
        }

        @media (max-width: $mobile-max) {
            overflow-x: scroll;
            width: 100%;
            align-items: center;
            justify-content: flex-start;
            margin: 0 auto 24px;
        }

        &-item {
            font-weight: 500;
            font-size: 16px;
            line-height: 20px;
            color: $gray;
            padding: 14px 16px;
            position: relative;
            cursor: pointer;
            flex-shrink: 0;
            width: fit-content !important;

            @media (max-width: $desktop-max) {
                padding: 10px 12px;
            }

            @media (max-width: $tablet-max) {
                padding: 10px;
            }
            
            &--before,
            &--after {
                display: none;
                position: absolute;
                left: 50%;
                transform: translateX(-50%);
                fill: $new-blue;

                svg {
                    width: 100%;
                    height: 100%;
                }
            }
            
            &--before {
                width: 35px;
                height: 23px;
                top: -34px;
            }

            &--after {
                width: 78px;
                height: 8px;
                bottom: -19px;
            }

            &.swiper-slide-thumb-active {
                color: $black;
                box-shadow: 0 12px 8px rgba(198, 209, 227, 0.24);
                border-radius: 16px;
                background-color: $white;

                @media (max-width: $desktop-max) {
                    border-radius: 14px;
                }

                .description__header-item--before,
                .description__header-item--after {
                    display: block;

                    @media (max-width: $mobile-max) {
                        display: none;
                    }
                }
            }
        }
    }

    &__pagination {
        display: none;
        margin-top: 24px;
        gap: 8px;
        align-items: center;
        justify-content: center;

        @media (max-width: $desktop-max) {
            display: flex;
        }

        &-item {
            width: 8px;
            height: 8px;
            border-radius: 1000px;
            background: rgba(13, 12, 26, 0.15);

            &.swiper-pagination-bullet-active {
                width: 24px;
            }
        }
    }
}